activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Timothy Bish (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (AMQ-5475) AMQP transport does not send correct response to unsupported clients
Date Mon, 08 Dec 2014 22:25:12 GMT

     [ https://issues.apache.org/jira/browse/AMQ-5475?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Timothy Bish resolved AMQ-5475.
-------------------------------
    Resolution: Fixed

Any client that connects to the transports TCP, SSL, NIO, NIO+SSL which uses an unsupported
AMQP version or that is not sending an AMQP header that is valid will be sent the appropriate
AMQP 1.0 header and then have the connection closed.  

> AMQP transport does not send correct response to unsupported clients
> --------------------------------------------------------------------
>
>                 Key: AMQ-5475
>                 URL: https://issues.apache.org/jira/browse/AMQ-5475
>             Project: ActiveMQ
>          Issue Type: Bug
>          Components: AMQP
>    Affects Versions: 5.9.1, 5.10.0
>            Reporter: Timothy Bish
>            Assignee: Timothy Bish
>             Fix For: 5.11.0
>
>
> Section 2.2 of the AMQP 1.0 spec covers protocol negotiation and states that when a client
connects and send an AMQP header with an unsupported version the broker should send back an
AMQP header with the version supported before closing the socket.  This also applied if the
header cannot be parsed, such as a HTTP client etc connecting to the AMQP transport port.
 
> We currently just close the socket which does not give the connecting client any insight
into why the connect failed and allow it to try again with the correct protocol if supported.




--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message